This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477981 - Suspend and hibernate options disappeared after the recent update
Suspend and hibernate options disappeared after the recent update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 17:14 EST by Audrius Meskauskas
Modified: 2010-06-28 07:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Audrius Meskauskas 2008-12-26 17:14:59 EST
Description of problem:
After the todays (Saturday 27, 2008) online update the suspend and hibernate updates suddenly disappeared from the available options. Suspend is also no longer possible after closing the laptop lid and is not listed in the power management menu.

I frun fedora in Dell Latitude D830 laptop. Both suspend and hibernate were working perfectly before this update, so this bug is a regression.


Version-Release number of selected component (if applicable):


How reproducible:
Select System -> Shutdown from the menu. The suspend and hibernate buttons are gone.
  
Actual results:
No buttons in shutdown menu, no suspend/hibernate options in the power management menu.

Expected results:
Same as it was (suspend and hibernate is present and works).

Additional info:
Suspend was broken with this laptop in the Werewolf version with the possible workaround, but with Cambridge it was fully functional since installation.
Comment 1 Audrius Meskauskas 2009-01-03 08:21:48 EST
I have reinstalled Fedora 10 from the initial DVD. The suspend and hibernate buttons have returned back. This really seems broken somewhere in the rawhide updates only.
Comment 2 Jarod Wilson 2009-01-05 11:46:57 EST
powerman definitely isn't the right component here, its something entirely unrelated. More likely, this is a gnome-power-manager thing.
Comment 3 Audrius Meskauskas 2009-01-07 02:00:43 EST
Yes, the controls do not disappear after doing the update on the package pm-utils-1.2.3-1.fc11 (Power manager scripts and utilities for Fedora), they also stay after the first reboot.
Comment 4 Steven M. Parrish 2009-01-09 08:26:16 EST
Not sure what caused this but for us KDE folks just making sure to switch from GDM to KDM fixed the issue for us.
Comment 5 Bug Zapper 2009-06-09 06:31:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2009-08-20 08:22:56 EDT
Does installing the latest gnome-power-manager and DeviceKit-power packages in updates-testing (and then rebooting...) fix the problem?
Comment 7 Bug Zapper 2010-04-27 08:38:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:01:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.